Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network37.4.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
37.4.32.0
Broadcast address
37.4.63.255
First usable
37.4.32.1
Last usable
37.4.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 25042000 · Integer 621027328 to 621035519
Reverse DNS zones
32.4.37.in-addr.arpa
33.4.37.in-addr.arpa
34.4.37.in-addr.arpa
35.4.37.in-addr.arpa
36.4.37.in-addr.arpa
37.4.37.in-addr.arpa
38.4.37.in-addr.arpa
39.4.37.in-addr.arpa
40.4.37.in-addr.arpa
41.4.37.in-addr.arpa
42.4.37.in-addr.arpa
43.4.37.in-addr.arpa
44.4.37.in-addr.arpa
45.4.37.in-addr.arpa
46.4.37.in-addr.arpa
47.4.37.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100101.00000100.00100000.0000000037.4.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00100101.00000100.00100000.0000000037.4.32.0
Broadcast00100101.00000100.00111111.1111111137.4.63.255
Split into smaller subnets/31

37.4.32.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
137.4.32.0/3137.4.32.0 to 37.4.32.1—2
237.4.32.2/3137.4.32.2 to 37.4.32.3—2
337.4.32.4/3137.4.32.4 to 37.4.32.5—2
437.4.32.6/3137.4.32.6 to 37.4.32.7—2
537.4.32.8/3137.4.32.8 to 37.4.32.9—2
637.4.32.10/3137.4.32.10 to 37.4.32.11—2
737.4.32.12/3137.4.32.12 to 37.4.32.13—2
837.4.32.14/3137.4.32.14 to 37.4.32.15—2
937.4.32.16/3137.4.32.16 to 37.4.32.17—2
1037.4.32.18/3137.4.32.18 to 37.4.32.19—2
1137.4.32.20/3137.4.32.20 to 37.4.32.21—2
1237.4.32.22/3137.4.32.22 to 37.4.32.23—2
1337.4.32.24/3137.4.32.24 to 37.4.32.25—2
1437.4.32.26/3137.4.32.26 to 37.4.32.27—2
1537.4.32.28/3137.4.32.28 to 37.4.32.29—2
1637.4.32.30/3137.4.32.30 to 37.4.32.31—2
1737.4.32.32/3137.4.32.32 to 37.4.32.33—2
1837.4.32.34/3137.4.32.34 to 37.4.32.35—2
1937.4.32.36/3137.4.32.36 to 37.4.32.37—2
2037.4.32.38/3137.4.32.38 to 37.4.32.39—2
2137.4.32.40/3137.4.32.40 to 37.4.32.41—2
2237.4.32.42/3137.4.32.42 to 37.4.32.43—2
2337.4.32.44/3137.4.32.44 to 37.4.32.45—2
2437.4.32.46/3137.4.32.46 to 37.4.32.47—2
2537.4.32.48/3137.4.32.48 to 37.4.32.49—2
2637.4.32.50/3137.4.32.50 to 37.4.32.51—2
2737.4.32.52/3137.4.32.52 to 37.4.32.53—2
2837.4.32.54/3137.4.32.54 to 37.4.32.55—2
2937.4.32.56/3137.4.32.56 to 37.4.32.57—2
3037.4.32.58/3137.4.32.58 to 37.4.32.59—2
3137.4.32.60/3137.4.32.60 to 37.4.32.61—2
3237.4.32.62/3137.4.32.62 to 37.4.32.63—2
3337.4.32.64/3137.4.32.64 to 37.4.32.65—2
3437.4.32.66/3137.4.32.66 to 37.4.32.67—2
3537.4.32.68/3137.4.32.68 to 37.4.32.69—2
3637.4.32.70/3137.4.32.70 to 37.4.32.71—2
3737.4.32.72/3137.4.32.72 to 37.4.32.73—2
3837.4.32.74/3137.4.32.74 to 37.4.32.75—2
3937.4.32.76/3137.4.32.76 to 37.4.32.77—2
4037.4.32.78/3137.4.32.78 to 37.4.32.79—2
4137.4.32.80/3137.4.32.80 to 37.4.32.81—2
4237.4.32.82/3137.4.32.82 to 37.4.32.83—2
4337.4.32.84/3137.4.32.84 to 37.4.32.85—2
4437.4.32.86/3137.4.32.86 to 37.4.32.87—2
4537.4.32.88/3137.4.32.88 to 37.4.32.89—2
4637.4.32.90/3137.4.32.90 to 37.4.32.91—2
4737.4.32.92/3137.4.32.92 to 37.4.32.93—2
4837.4.32.94/3137.4.32.94 to 37.4.32.95—2
4937.4.32.96/3137.4.32.96 to 37.4.32.97—2
5037.4.32.98/3137.4.32.98 to 37.4.32.99—2
5137.4.32.100/3137.4.32.100 to 37.4.32.101—2
5237.4.32.102/3137.4.32.102 to 37.4.32.103—2
5337.4.32.104/3137.4.32.104 to 37.4.32.105—2
5437.4.32.106/3137.4.32.106 to 37.4.32.107—2
5537.4.32.108/3137.4.32.108 to 37.4.32.109—2
5637.4.32.110/3137.4.32.110 to 37.4.32.111—2
5737.4.32.112/3137.4.32.112 to 37.4.32.113—2
5837.4.32.114/3137.4.32.114 to 37.4.32.115—2
5937.4.32.116/3137.4.32.116 to 37.4.32.117—2
6037.4.32.118/3137.4.32.118 to 37.4.32.119—2
6137.4.32.120/3137.4.32.120 to 37.4.32.121—2
6237.4.32.122/3137.4.32.122 to 37.4.32.123—2
6337.4.32.124/3137.4.32.124 to 37.4.32.125—2
6437.4.32.126/3137.4.32.126 to 37.4.32.127—2
6537.4.32.128/3137.4.32.128 to 37.4.32.129—2
6637.4.32.130/3137.4.32.130 to 37.4.32.131—2
6737.4.32.132/3137.4.32.132 to 37.4.32.133—2
6837.4.32.134/3137.4.32.134 to 37.4.32.135—2
6937.4.32.136/3137.4.32.136 to 37.4.32.137—2
7037.4.32.138/3137.4.32.138 to 37.4.32.139—2
7137.4.32.140/3137.4.32.140 to 37.4.32.141—2
7237.4.32.142/3137.4.32.142 to 37.4.32.143—2
7337.4.32.144/3137.4.32.144 to 37.4.32.145—2
7437.4.32.146/3137.4.32.146 to 37.4.32.147—2
7537.4.32.148/3137.4.32.148 to 37.4.32.149—2
7637.4.32.150/3137.4.32.150 to 37.4.32.151—2
7737.4.32.152/3137.4.32.152 to 37.4.32.153—2
7837.4.32.154/3137.4.32.154 to 37.4.32.155—2
7937.4.32.156/3137.4.32.156 to 37.4.32.157—2
8037.4.32.158/3137.4.32.158 to 37.4.32.159—2
8137.4.32.160/3137.4.32.160 to 37.4.32.161—2
8237.4.32.162/3137.4.32.162 to 37.4.32.163—2
8337.4.32.164/3137.4.32.164 to 37.4.32.165—2
8437.4.32.166/3137.4.32.166 to 37.4.32.167—2
8537.4.32.168/3137.4.32.168 to 37.4.32.169—2
8637.4.32.170/3137.4.32.170 to 37.4.32.171—2
8737.4.32.172/3137.4.32.172 to 37.4.32.173—2
8837.4.32.174/3137.4.32.174 to 37.4.32.175—2
8937.4.32.176/3137.4.32.176 to 37.4.32.177—2
9037.4.32.178/3137.4.32.178 to 37.4.32.179—2
9137.4.32.180/3137.4.32.180 to 37.4.32.181—2
9237.4.32.182/3137.4.32.182 to 37.4.32.183—2
9337.4.32.184/3137.4.32.184 to 37.4.32.185—2
9437.4.32.186/3137.4.32.186 to 37.4.32.187—2
9537.4.32.188/3137.4.32.188 to 37.4.32.189—2
9637.4.32.190/3137.4.32.190 to 37.4.32.191—2
9737.4.32.192/3137.4.32.192 to 37.4.32.193—2
9837.4.32.194/3137.4.32.194 to 37.4.32.195—2
9937.4.32.196/3137.4.32.196 to 37.4.32.197—2
10037.4.32.198/3137.4.32.198 to 37.4.32.199—2
10137.4.32.200/3137.4.32.200 to 37.4.32.201—2
10237.4.32.202/3137.4.32.202 to 37.4.32.203—2
10337.4.32.204/3137.4.32.204 to 37.4.32.205—2
10437.4.32.206/3137.4.32.206 to 37.4.32.207—2
10537.4.32.208/3137.4.32.208 to 37.4.32.209—2
10637.4.32.210/3137.4.32.210 to 37.4.32.211—2
10737.4.32.212/3137.4.32.212 to 37.4.32.213—2
10837.4.32.214/3137.4.32.214 to 37.4.32.215—2
10937.4.32.216/3137.4.32.216 to 37.4.32.217—2
11037.4.32.218/3137.4.32.218 to 37.4.32.219—2
11137.4.32.220/3137.4.32.220 to 37.4.32.221—2
11237.4.32.222/3137.4.32.222 to 37.4.32.223—2
11337.4.32.224/3137.4.32.224 to 37.4.32.225—2
11437.4.32.226/3137.4.32.226 to 37.4.32.227—2
11537.4.32.228/3137.4.32.228 to 37.4.32.229—2
11637.4.32.230/3137.4.32.230 to 37.4.32.231—2
11737.4.32.232/3137.4.32.232 to 37.4.32.233—2
11837.4.32.234/3137.4.32.234 to 37.4.32.235—2
11937.4.32.236/3137.4.32.236 to 37.4.32.237—2
12037.4.32.238/3137.4.32.238 to 37.4.32.239—2
12137.4.32.240/3137.4.32.240 to 37.4.32.241—2
12237.4.32.242/3137.4.32.242 to 37.4.32.243—2
12337.4.32.244/3137.4.32.244 to 37.4.32.245—2
12437.4.32.246/3137.4.32.246 to 37.4.32.247—2
12537.4.32.248/3137.4.32.248 to 37.4.32.249—2
12637.4.32.250/3137.4.32.250 to 37.4.32.251—2
12737.4.32.252/3137.4.32.252 to 37.4.32.253—2
12837.4.32.254/3137.4.32.254 to 37.4.32.255—2
12937.4.33.0/3137.4.33.0 to 37.4.33.1—2
13037.4.33.2/3137.4.33.2 to 37.4.33.3—2
13137.4.33.4/3137.4.33.4 to 37.4.33.5—2
13237.4.33.6/3137.4.33.6 to 37.4.33.7—2
13337.4.33.8/3137.4.33.8 to 37.4.33.9—2
13437.4.33.10/3137.4.33.10 to 37.4.33.11—2
13537.4.33.12/3137.4.33.12 to 37.4.33.13—2
13637.4.33.14/3137.4.33.14 to 37.4.33.15—2
13737.4.33.16/3137.4.33.16 to 37.4.33.17—2
13837.4.33.18/3137.4.33.18 to 37.4.33.19—2
13937.4.33.20/3137.4.33.20 to 37.4.33.21—2
14037.4.33.22/3137.4.33.22 to 37.4.33.23—2
14137.4.33.24/3137.4.33.24 to 37.4.33.25—2
14237.4.33.26/3137.4.33.26 to 37.4.33.27—2
14337.4.33.28/3137.4.33.28 to 37.4.33.29—2
14437.4.33.30/3137.4.33.30 to 37.4.33.31—2
14537.4.33.32/3137.4.33.32 to 37.4.33.33—2
14637.4.33.34/3137.4.33.34 to 37.4.33.35—2
14737.4.33.36/3137.4.33.36 to 37.4.33.37—2
14837.4.33.38/3137.4.33.38 to 37.4.33.39—2
14937.4.33.40/3137.4.33.40 to 37.4.33.41—2
15037.4.33.42/3137.4.33.42 to 37.4.33.43—2
15137.4.33.44/3137.4.33.44 to 37.4.33.45—2
15237.4.33.46/3137.4.33.46 to 37.4.33.47—2
15337.4.33.48/3137.4.33.48 to 37.4.33.49—2
15437.4.33.50/3137.4.33.50 to 37.4.33.51—2
15537.4.33.52/3137.4.33.52 to 37.4.33.53—2
15637.4.33.54/3137.4.33.54 to 37.4.33.55—2
15737.4.33.56/3137.4.33.56 to 37.4.33.57—2
15837.4.33.58/3137.4.33.58 to 37.4.33.59—2
15937.4.33.60/3137.4.33.60 to 37.4.33.61—2
16037.4.33.62/3137.4.33.62 to 37.4.33.63—2
16137.4.33.64/3137.4.33.64 to 37.4.33.65—2
16237.4.33.66/3137.4.33.66 to 37.4.33.67—2
16337.4.33.68/3137.4.33.68 to 37.4.33.69—2
16437.4.33.70/3137.4.33.70 to 37.4.33.71—2
16537.4.33.72/3137.4.33.72 to 37.4.33.73—2
16637.4.33.74/3137.4.33.74 to 37.4.33.75—2
16737.4.33.76/3137.4.33.76 to 37.4.33.77—2
16837.4.33.78/3137.4.33.78 to 37.4.33.79—2
16937.4.33.80/3137.4.33.80 to 37.4.33.81—2
17037.4.33.82/3137.4.33.82 to 37.4.33.83—2
17137.4.33.84/3137.4.33.84 to 37.4.33.85—2
17237.4.33.86/3137.4.33.86 to 37.4.33.87—2
17337.4.33.88/3137.4.33.88 to 37.4.33.89—2
17437.4.33.90/3137.4.33.90 to 37.4.33.91—2
17537.4.33.92/3137.4.33.92 to 37.4.33.93—2
17637.4.33.94/3137.4.33.94 to 37.4.33.95—2
17737.4.33.96/3137.4.33.96 to 37.4.33.97—2
17837.4.33.98/3137.4.33.98 to 37.4.33.99—2
17937.4.33.100/3137.4.33.100 to 37.4.33.101—2
18037.4.33.102/3137.4.33.102 to 37.4.33.103—2
18137.4.33.104/3137.4.33.104 to 37.4.33.105—2
18237.4.33.106/3137.4.33.106 to 37.4.33.107—2
18337.4.33.108/3137.4.33.108 to 37.4.33.109—2
18437.4.33.110/3137.4.33.110 to 37.4.33.111—2
18537.4.33.112/3137.4.33.112 to 37.4.33.113—2
18637.4.33.114/3137.4.33.114 to 37.4.33.115—2
18737.4.33.116/3137.4.33.116 to 37.4.33.117—2
18837.4.33.118/3137.4.33.118 to 37.4.33.119—2
18937.4.33.120/3137.4.33.120 to 37.4.33.121—2
19037.4.33.122/3137.4.33.122 to 37.4.33.123—2
19137.4.33.124/3137.4.33.124 to 37.4.33.125—2
19237.4.33.126/3137.4.33.126 to 37.4.33.127—2
19337.4.33.128/3137.4.33.128 to 37.4.33.129—2
19437.4.33.130/3137.4.33.130 to 37.4.33.131—2
19537.4.33.132/3137.4.33.132 to 37.4.33.133—2
19637.4.33.134/3137.4.33.134 to 37.4.33.135—2
19737.4.33.136/3137.4.33.136 to 37.4.33.137—2
19837.4.33.138/3137.4.33.138 to 37.4.33.139—2
19937.4.33.140/3137.4.33.140 to 37.4.33.141—2
20037.4.33.142/3137.4.33.142 to 37.4.33.143—2
20137.4.33.144/3137.4.33.144 to 37.4.33.145—2
20237.4.33.146/3137.4.33.146 to 37.4.33.147—2
20337.4.33.148/3137.4.33.148 to 37.4.33.149—2
20437.4.33.150/3137.4.33.150 to 37.4.33.151—2
20537.4.33.152/3137.4.33.152 to 37.4.33.153—2
20637.4.33.154/3137.4.33.154 to 37.4.33.155—2
20737.4.33.156/3137.4.33.156 to 37.4.33.157—2
20837.4.33.158/3137.4.33.158 to 37.4.33.159—2
20937.4.33.160/3137.4.33.160 to 37.4.33.161—2
21037.4.33.162/3137.4.33.162 to 37.4.33.163—2
21137.4.33.164/3137.4.33.164 to 37.4.33.165—2
21237.4.33.166/3137.4.33.166 to 37.4.33.167—2
21337.4.33.168/3137.4.33.168 to 37.4.33.169—2
21437.4.33.170/3137.4.33.170 to 37.4.33.171—2
21537.4.33.172/3137.4.33.172 to 37.4.33.173—2
21637.4.33.174/3137.4.33.174 to 37.4.33.175—2
21737.4.33.176/3137.4.33.176 to 37.4.33.177—2
21837.4.33.178/3137.4.33.178 to 37.4.33.179—2
21937.4.33.180/3137.4.33.180 to 37.4.33.181—2
22037.4.33.182/3137.4.33.182 to 37.4.33.183—2
22137.4.33.184/3137.4.33.184 to 37.4.33.185—2
22237.4.33.186/3137.4.33.186 to 37.4.33.187—2
22337.4.33.188/3137.4.33.188 to 37.4.33.189—2
22437.4.33.190/3137.4.33.190 to 37.4.33.191—2
22537.4.33.192/3137.4.33.192 to 37.4.33.193—2
22637.4.33.194/3137.4.33.194 to 37.4.33.195—2
22737.4.33.196/3137.4.33.196 to 37.4.33.197—2
22837.4.33.198/3137.4.33.198 to 37.4.33.199—2
22937.4.33.200/3137.4.33.200 to 37.4.33.201—2
23037.4.33.202/3137.4.33.202 to 37.4.33.203—2
23137.4.33.204/3137.4.33.204 to 37.4.33.205—2
23237.4.33.206/3137.4.33.206 to 37.4.33.207—2
23337.4.33.208/3137.4.33.208 to 37.4.33.209—2
23437.4.33.210/3137.4.33.210 to 37.4.33.211—2
23537.4.33.212/3137.4.33.212 to 37.4.33.213—2
23637.4.33.214/3137.4.33.214 to 37.4.33.215—2
23737.4.33.216/3137.4.33.216 to 37.4.33.217—2
23837.4.33.218/3137.4.33.218 to 37.4.33.219—2
23937.4.33.220/3137.4.33.220 to 37.4.33.221—2
24037.4.33.222/3137.4.33.222 to 37.4.33.223—2
24137.4.33.224/3137.4.33.224 to 37.4.33.225—2
24237.4.33.226/3137.4.33.226 to 37.4.33.227—2
24337.4.33.228/3137.4.33.228 to 37.4.33.229—2
24437.4.33.230/3137.4.33.230 to 37.4.33.231—2
24537.4.33.232/3137.4.33.232 to 37.4.33.233—2
24637.4.33.234/3137.4.33.234 to 37.4.33.235—2
24737.4.33.236/3137.4.33.236 to 37.4.33.237—2
24837.4.33.238/3137.4.33.238 to 37.4.33.239—2
24937.4.33.240/3137.4.33.240 to 37.4.33.241—2
25037.4.33.242/3137.4.33.242 to 37.4.33.243—2
25137.4.33.244/3137.4.33.244 to 37.4.33.245—2
25237.4.33.246/3137.4.33.246 to 37.4.33.247—2
25337.4.33.248/3137.4.33.248 to 37.4.33.249—2
25437.4.33.250/3137.4.33.250 to 37.4.33.251—2
25537.4.33.252/3137.4.33.252 to 37.4.33.253—2
25637.4.33.254/3137.4.33.254 to 37.4.33.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses